• Documentation
  • API Reference
Information
Core APIs
    ASPSP Information Service
      Get ASPSP ListgetGet ASPSP DetailsgetGet Country ListgetGet Platform Statusget
    Consent Service
      Create ConsentpostGet ConsentgetDelete ConsentdeleteGet Consent StatusgetGet Consent AuthorisationsgetCreate Consent AuthorisationpostGet Consent Authorisation SCA StatusgetStart Consent Authorisationput
    Account Information Service (AIS)
      Get Account ListgetGet Account DetailsgetGet BalancesgetGet Transaction ListgetGet Transaction DetailsgetGet Card Account ListgetGet Card Account DetailsgetGet Card BalancesgetGet Card Transaction Listget
    Payment Initiation Service (PIS)
      Create PaymentpostGet PaymentgetCancel PaymentdeleteGet Payment StatusgetGet Payment AuthorisationsgetCreate Payment AuthorisationpostGet Payment Authorisation SCA StatusgetStart Payment AuthorisationputGet Payment Cancellation AuthorisationsgetCreate Payment Cancellation AuthorisationpostGet Payment Cancellation Authorisation SCA StatusgetStart Payment Cancellation AuthorisationputCreate Signing BasketpostGet Signing BasketgetDelete Signing BasketdeleteGet Signing Basket StatusgetCreate Signing Basket AuthorisationpostGet Signing Basket Authorisation SCA StatusgetStart Signing Basket AuthorisationputCreate FX QuotepostGet FX Quoteget
    KYC Service
      Create KYCpostGet KYC Statusget
Alternative APIs
    ISO Payments
      Create PaymentpostCreate Payment (Cross-Border)postGet PaymentgetConfirm Paymentput
    FX Connect
      Create FX QuotepostGet FX QuotegetConfirm Cross-Border Paymentput
Premium APIs
    Bankgiro Lookup
      Get Creditor NamegetGet Giro Numbersget
    Payout Service
      Create PayoutpostGet PayoutgetConfirm Payoutput
    Verification of Payee (VoP)
      Submit Verification RequestpostSubmit Bulk Verification Requestpost
    SEPA Direct Debit
      Create SEPA Direct Debit Payment (Beta)postGet PaymentgetConfirm Paymentput
Schemas
Open Payments API
Open Payments API

Payout Service

Server

The Payout Service brings efficiency and security to a wide range of payment processes, including supplier invoices, payroll, refunds, and other forms of disbursement. The solution automates the entire workflow, minimizing manual errors while eliminating transaction limits and the need for manual banking procedures. Funds are first placed in our dedicated client account before final disbursement, providing an added layer of security and stability and enabling seamless integration with the national clearing system Bankgirot.


Create Payout

POST
https://api.openbankingplatform.com
/premium/v1/payouts

Initiates a payout request by submitting payment details.

Create Payout › Headers

X-Request-ID
​string · uuid · required

ID of the request, unique to the call, as determined by the initiating party.

PSU-ID
​string · required

Client ID of the PSU in the ASPSP client interface. This is typically a local social security number or another unique login ID.

PSU-Corporate-ID
​string

Corporate Client ID for the ASPSP. This is typically the unique Corporate ID in the local format. E.g. Org. nummer for SE, KVK for NL. Mandatory in the corporate scope.

Create Payout › Request Body

CreatePayoutRequest
​accountReference · required

Reference to an account by either

  • IBAN, of a payment account, or
  • BBAN, for payment accounts if there is no IBAN, or
  • the Primary Account Number (PAN) of a card, can be tokenised by the ASPSP due to PCI DSS requirements, or
  • the Primary Account Number (PAN) of a card in a masked form, or
  • an alias to access a payment account via a registered mobile phone number (MSISDN).
​giroReference · required

Reference to a Swedish Bankgiro or Plusgiro account

creditorName
​string · minLength: 1 · maxLength: 70 · required
​amount · required
instructionId
​string | null · maxLength: 35
creditorAgent
​string | null · maxLength: 35
requestedExecutionDate
​string | null
debtorAccountMessage
​string | null
creditorAccountMessage
​string | null
invoiceRef
​string | null
ocrRef
​string | null
endToEndIdentification
​string | null · maxLength: 35

Create Payout › Responses

Created

CreatePayoutResponse
transactionStatus
​transactionStatus · enum · required

Uses codes from the ISO 20022 data table. See Statuses & Types documentation for full descriptions of values.

Enum values:
ACCC
ACCP
ACSC
ACSP
ACTC
ACWC
ACWP
RCVD
Example: ACSP
​PayoutLinks · required
​array | null
​amount
transactionFeeIndicator
​boolean | null
​array | null
​authenticationObject

Authentication Object

​challengeData

Contained in addition to the data element chosenScaMethod if challenge data is needed for SCA. In rare cases, this attribute is also used in the context of the startAuthorisationWithPsuAuthentication link.

psuMessage
​string | null · maxLength: 512
payoutId
​string | null · readOnly
POST/premium/v1/payouts
curl https://api.openbankingplatform.com/premium/v1/payouts \ --request POST \ --header 'Content-Type: application/json' \ --header 'X-Request-ID: 99391c7e-ad88-49ec-a2ad-99ddcb1f7721' \ --header 'PSU-ID: 199002092386' \ --header 'Authorization: Bearer <token>' \ --data '{ "instructionId": "instructionId", "debtorAccount": { "iban": "FR7612345987650123456789014", "bban": "BARC12345612345678", "clearingNumber": "5392", "accountNumber": "BARC12345612345678", "pan": "5409050000000000", "maskedPan": "123456xxxxxx1234", "msisdn": "+49 170 1234567", "currency": "EUR" }, "creditorAgent": "creditorAgent", "creditorGiro": { "giroNumber": "1234-5678", "giroType": "BANKGIRO" }, "creditorName": "creditorName", "instructedAmount": { "currency": "EUR", "amount": "123" }, "requestedExecutionDate": "requestedExecutionDate", "debtorAccountMessage": "debtorAccountMessage", "creditorAccountMessage": "creditorAccountMessage", "invoiceRef": "invoiceRef", "ocrRef": "ocrRef", "endToEndIdentification": "endToEndIdentification" }'
Example Request Body
{ "instructionId": "instructionId", "debtorAccount": { "iban": "FR7612345987650123456789014", "bban": "BARC12345612345678", "clearingNumber": "5392", "accountNumber": "BARC12345612345678", "pan": "5409050000000000", "maskedPan": "123456xxxxxx1234", "msisdn": "+49 170 1234567", "currency": "EUR" }, "creditorAgent": "creditorAgent", "creditorGiro": { "giroNumber": "1234-5678", "giroType": "BANKGIRO" }, "creditorName": "creditorName", "instructedAmount": { "currency": "EUR", "amount": "123" }, "requestedExecutionDate": "requestedExecutionDate", "debtorAccountMessage": "debtorAccountMessage", "creditorAccountMessage": "creditorAccountMessage", "invoiceRef": "invoiceRef", "ocrRef": "ocrRef", "endToEndIdentification": "endToEndIdentification" }
json
Example Responses
{ "tppMessages": [ { "category": "INFORMATION", "code": "code", "path": "path", "text": "text" } ], "transactionStatus": "ACSP", "transactionFees": { "currency": "EUR", "amount": "123" }, "transactionFeeIndicator": true, "scaMethods": [ { "authenticationType": "SMS_OTP", "authenticationVersion": "authenticationVersion", "authenticationMethodId": "myAuthenticationID", "name": "SMS OTP on phone +49160 xxxxx 28", "explanation": "Detailed information about the SCA method for the PSU." } ], "chosenScaMethod": { "authenticationType": "SMS_OTP", "authenticationVersion": "authenticationVersion", "authenticationMethodId": "myAuthenticationID", "name": "SMS OTP on phone +49160 xxxxx 28", "explanation": "Detailed information about the SCA method for the PSU." }, "challengeData": { "image": "image", "data": [ "string" ], "imageLink": "imageLink", "otpMaxLength": 0, "otpFormat": "characters", "additionalInformation": "additionalInformation" }, "_links": { "confirmPayout": { "href": "/v1/payments/sepa-credit-transfers/1234-wertiq-983" }, "self": { "href": "/v1/payments/sepa-credit-transfers/1234-wertiq-983" } }, "psuMessage": "psuMessage", "payoutId": "payoutId" }
json
application/json

Get Payout

GET
https://api.openbankingplatform.com
/premium/v1/payouts/{payoutId}

Returns the details and current status of a payout.

Get Payout › path Parameters

payoutId
​string · required

ID of the generated payout resource.

Get Payout › Headers

X-Request-ID
​string · uuid · required

ID of the request, unique to the call, as determined by the initiating party.

PSU-ID
​string · required

Client ID of the PSU in the ASPSP client interface. This is typically a local social security number or another unique login ID.

PSU-Corporate-ID
​string

Corporate Client ID for the ASPSP. This is typically the unique Corporate ID in the local format. E.g. Org. nummer for SE, KVK for NL. Mandatory in the corporate scope.

Get Payout › Responses

OK

GetPayoutResponse
​accountReference · required

Reference to an account by either

  • IBAN, of a payment account, or
  • BBAN, for payment accounts if there is no IBAN, or
  • the Primary Account Number (PAN) of a card, can be tokenised by the ASPSP due to PCI DSS requirements, or
  • the Primary Account Number (PAN) of a card in a masked form, or
  • an alias to access a payment account via a registered mobile phone number (MSISDN).
creditorName
​string · minLength: 1 · maxLength: 70 · required
​accountReference · required

Reference to an account by either

  • IBAN, of a payment account, or
  • BBAN, for payment accounts if there is no IBAN, or
  • the Primary Account Number (PAN) of a card, can be tokenised by the ASPSP due to PCI DSS requirements, or
  • the Primary Account Number (PAN) of a card in a masked form, or
  • an alias to access a payment account via a registered mobile phone number (MSISDN).
​amount · required
​array | null
endToEndIdentification
​string | null · maxLength: 35
creditorAgent
​string | null · pattern: [A-Z]{6,6}[A-Z2-9][A…
​address
remittanceInformationUnstructured
​string | null · maxLength: 140
​remittanceInformationStructured

Structured remittance information

debtorAccountMessage
​string | null
creditorAccountMessage
​string | null
requestedExecutionDate
​string | null
transactionStatus
​transactionStatus · enum

Uses codes from the ISO 20022 data table. See Statuses & Types documentation for full descriptions of values.

Enum values:
ACCC
ACCP
ACSC
ACSP
ACTC
ACWC
ACWP
RCVD
Example: ACSP
GET/premium/v1/payouts/{payoutId}
curl https://api.openbankingplatform.com/premium/v1/payouts/:payoutId \ --header 'X-Request-ID: 99391c7e-ad88-49ec-a2ad-99ddcb1f7721' \ --header 'PSU-ID: 199002092386' \ --header 'Authorization: Bearer <token>'
Example Responses
{ "tppMessages": [ { "category": "INFORMATION", "code": "code", "path": "path", "text": "text" } ], "creditorAccount": { "iban": "FR7612345987650123456789014", "bban": "BARC12345612345678", "clearingNumber": "5392", "accountNumber": "BARC12345612345678", "pan": "5409050000000000", "maskedPan": "123456xxxxxx1234", "msisdn": "+49 170 1234567", "currency": "EUR" }, "creditorName": "creditorName", "debtorAccount": { "iban": "FR7612345987650123456789014", "bban": "BARC12345612345678", "clearingNumber": "5392", "accountNumber": "BARC12345612345678", "pan": "5409050000000000", "maskedPan": "123456xxxxxx1234", "msisdn": "+49 170 1234567", "currency": "EUR" }, "instructedAmount": { "currency": "EUR", "amount": "123" }, "endToEndIdentification": "endToEndIdentification", "creditorAgent": "creditorAgent", "creditorAddress": { "street": "rue blue", "buildingNumber": "89", "city": "Paris", "postalCode": "75000", "country": "FR" }, "remittanceInformationUnstructured": "remittanceInformationUnstructured", "remittanceInformationStructured": { "reference": "reference", "referenceType": "referenceType", "referenceIssuer": "referenceIssuer" }, "debtorAccountMessage": "debtorAccountMessage", "creditorAccountMessage": "creditorAccountMessage", "requestedExecutionDate": "requestedExecutionDate", "transactionStatus": "ACSP" }
json
application/json

Confirm Payout

PUT
https://api.openbankingplatform.com
/premium/v1/payouts/confirm

Confirms and finalizes a pending payout, triggering the disbursement of funds. Only confirmed payouts are sent to Bankgirot for processing.

Confirm Payout › Headers

X-Request-ID
​string · uuid · required

ID of the request, unique to the call, as determined by the initiating party.

PSU-ID
​string · required

Client ID of the PSU in the ASPSP client interface. This is typically a local social security number or another unique login ID.

PSU-Corporate-ID
​string

Corporate Client ID for the ASPSP. This is typically the unique Corporate ID in the local format. E.g. Org. nummer for SE, KVK for NL. Mandatory in the corporate scope.

Confirm Payout › Request Body

ConfirmPayoutRequest
payoutIds
​array | null

Confirm Payout › Responses

OK

ConfirmPayoutResponse
​array | null
reference
​string | null
​amount
PUT/premium/v1/payouts/confirm
curl https://api.openbankingplatform.com/premium/v1/payouts/confirm \ --request PUT \ --header 'Content-Type: application/json' \ --header 'X-Request-ID: 99391c7e-ad88-49ec-a2ad-99ddcb1f7721' \ --header 'PSU-ID: 199002092386' \ --header 'Authorization: Bearer <token>' \ --data '{ "payoutIds": [ "string" ] }'
Example Request Body
{ "payoutIds": [ "string" ] }
json
Example Responses
{ "tppMessages": [ { "category": "INFORMATION", "code": "code", "path": "path", "text": "text" } ], "reference": "reference", "totalAmount": { "currency": "EUR", "amount": "123" } }
json
application/json

Bankgiro LookupVerification of Payee (VoP)